<html lang="en" ng-app="ceejayApp">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/angular_material/1.1.12/angular-material.min.css">
    <link href="https://cdn.jsdelivr.net/npm/remixicon@2.5.0/fonts/remixicon.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
    <link href="css/main.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular-animate.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular-aria.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular-messages.min.js"></script>
    <script src="https://code.angularjs.org/snapshot/angular-route.js"></script>
    <script src="js/server.js"></script>
    <script src="js/config.js"></script>
    <script src="js/rout.js"></script>
    <script src="js/filter.js"></script>
    <script src="js/controller.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angular_material/1.1.12/angular-material.min.js"></script>
</head>
<body ng-controller="appCtrl" ng-cloak>
    <md-toolbar class="md-hue-2">
        <div class="md-toolbar-tools">
            <md-button class="md-icon-button" aria-label="Settings" ng-disabled="true">
                <i class="ri-home-4-line myicon"></i>
                <!-- <md-icon md-svg-icon="img/icons/menu.svg"></md-icon> -->
            </md-button>
            <div flex md-truncate>
                <h2><a href="http://localhost:3000/"> {{title}} </a><span style="font-size: 15px;"> /
                        {{subtitle}}</span></h2>
            </div>
            <div layout="row" layout-align="space-between center">
                <md-select ng-model="master.financial_year_id" placeholder="Year" class="md-no-underline">
                    <md-option ng-repeat="(m,x) in years" value="{{x.financial_year_id}}">{{x.financial_year_name}}
                    </md-option>
                </md-select>
                <md-select ng-model="master.state_id" placeholder="States" class="md-no-underline">
                    <md-option ng-repeat="(m,x) in states" value="{{x.state_id}}">{{x.state_name}}</md-option>
                </md-select>
            </div>
            <md-button class="md-icon-button" aria-label="Settings" ng-click="btnPassword($event)">
                <i class="ri-lock-password-line" style="color: white;"></i>
            </md-button>
            <md-menu>
                <md-button aria-label="Open phone interactions menu" class="md-icon-button"
                    ng-click="openMenu($mdMenu, $event)">
                    <i class="ri-profile-line"></i>
                </md-button>
                <md-menu-content width="4">
                    <md-menu-item>
                        <md-button>
                            <md-icon md-menu-align-target>
                                <i class="ri-user-line" md-menu-align-target></i>
                            </md-icon>
                            Ankit
                        </md-button>
                    </md-menu-item>
                    <!-- <md-menu-item>
                    <md-button disabled="disabled" ng-click="checkVoicemail()">
                      <md-icon md-svg-icon="call:voicemail"></md-icon>
                      Check voicemail
                    </md-button>
                  </md-menu-item> -->
                    <md-menu-divider></md-menu-divider>
                    <md-menu-item>
                        <md-button ng-click="toggleNotifications()">
                            <i class="ri-logout-circle-r-line"></i>
                            </md-icon>
                            Logout
                        </md-button>
                    </md-menu-item>
                </md-menu-content>
            </md-menu>
        </div>
    </md-toolbar>
    <md-menu-bar style="border-bottom:solid 1px rgb(255,152,0);">
        <md-menu>
            <button ng-click="$mdMenu.open()">
                Entry
            </button>
            <md-menu-content>
                <md-menu-item>
                    <md-button ng-click="load_url('Tander')">
                        Tander<br />
                    </md-button>
                </md-menu-item>
                <md-menu-item>
                    <md-button ng-click="load_url('OpenRound')">
                        Open Round<br />
                    </md-button>
                </md-menu-item>
            </md-menu-content>
        </md-menu>
        <md-menu>
            <button ng-click="$mdMenu.open()">
                Reports
            </button>
            <md-menu-content>
                <md-menu-item class="md-indent">
                    <md-button ng-click="load_url('ExpectedResult')">
                        Expected result
                        <!-- <span class="md-alt-text">{{ 'M-Z' | keyboardShortcut }}</span> -->
                    </md-button>
                </md-menu-item>
                <md-menu-item class="md-indent">
                    <md-button ng-click="load_url('Result')">
                        Result
                        <!-- <span class="md-alt-text">{{ 'M-Y' | keyboardShortcut }}</span> -->
                    </md-button>
                </md-menu-item>
            </md-menu-content>
        </md-menu>
        <md-menu>
            <button ng-click="$mdMenu.open()">
                Print
            </button>
            <md-menu-content>
                <md-menu-item type="checkbox" ng-model="ctrl.settings.printLayout">Print layout</md-menu-item>
                <md-menu-item class="md-indent">
                    <md-menu>
                        <md-button ng-click="$mdMenu.open()">Mode</md-button>
                        <md-menu-content width="3">
                            <md-menu-item type="radio" ng-model="ctrl.settings.presentationMode" value="'presentation'">
                                Presentation
                            </md-menu-item>
                            <md-menu-item type="radio" ng-model="ctrl.settings.presentationMode" value="'edit'">Edit
                            </md-menu-item>
                            <md-menu-item type="radio" ng-model="ctrl.settings.presentationMode" value="'modifiable'">
                                Modifiable
                            </md-menu-item>
                        </md-menu-content>
                    </md-menu>
                </md-menu-item>
                <md-menu-divider></md-menu-divider>
                <md-menu-item type="checkbox" ng-model="ctrl.settings.showRuler">Show ruler</md-menu-item>
                <md-menu-item type="checkbox" ng-model="ctrl.settings.showEquationToolbar">Show equation toolbar
                </md-menu-item>
                <md-menu-item type="checkbox" ng-model="ctrl.settings.showSpellingSuggestions">Show spelling suggestions
                </md-menu-item>
                <md-menu-divider></md-menu-divider>
                <md-menu-item type="checkbox" ng-model="ctrl.settings.compactControls">Compact controls</md-menu-item>
                <md-menu-item type="checkbox" ng-model="ctrl.settings.fullScreen">Full screen</md-menu-item>
            </md-menu-content>
        </md-menu>
        <md-menu>
            <button ng-click="$mdMenu.open()">
                Setting
            </button>
            <md-menu-content>
                <md-menu-item>
                    <md-button ng-click="load_url('group')">
                        Groups
                    </md-button>
                </md-menu-item>
                <md-menu-item>
                    <md-button ng-click="load_url('users')">
                        Users
                    </md-button>
                </md-menu-item>
                <md-menu-item>
                    <md-button ng-click="load_url('years')">
                        Years
                    </md-button>
                </md-menu-item>
                <md-menu-item>
                    <md-button ng-click="load_url('round')">
                        Round
                    </md-button>
                </md-menu-item>
            </md-menu-content>
        </md-menu>
        <div class="float-end">
            Date : {{get_date()}} |
            <md-button class="md-icon-button" aria-label="Search" ng-click="onChangeView() ">
                <i class="ri-table-line" ng-if="viewType==1"></i>
                <i class="ri-grid-line" ng-if="viewType==2"></i>
                <i class="ri-list-check" ng-if="viewType==3"></i>
                <md-tooltip md-direction="buttom">Views</md-tooltip>
            </md-button>
            <md-button class="md-icon-button" aria-label="Search" ng-click="onSearch() ">
                <i class="ri-search-line"></i>
                <md-tooltip md-direction="buttom">Search</md-tooltip>
            </md-button>
            <md-button class="md-icon-button" aria-label="Refresh" ng-click="onRefresh()">
                <i class="ri-restart-line"></i>
                <md-tooltip md-direction="buttom">Refresh</md-tooltip>
            </md-button>
            <md-button class="md-icon-button" aria-label="Add New" ng-click="onAdd()">
                <i class="ri-add-circle-line"></i>
                <md-tooltip md-direction="buttom">Add New</md-tooltip>
            </md-button>
            <md-button class="md-icon-button" aria-label="Add New" ng-click="onBack()">
                <i class="ri-arrow-go-back-line"></i>
                <md-tooltip md-direction="buttom">Back</md-tooltip>
            </md-button>
        </div>
    </md-menu-bar>
    <md-progress-linear md-mode="indeterminate" ng-if="loading"></md-progress-linear>
    <div ng-view></div>
</body>
</html>